/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef ACTIONCOLLECTION_H
#define ACTIONCOLLECTION_H

#include <qobject.h>

class KAction;
class KToggleAction;
class KPopupMenu;
class KMusicManager;
class MainWindow;

/**
@author Joris Guisson
*/
class ActionCollection : public QObject
{
	Q_OBJECT
	
	KToggleAction* m_toolbar_action;
	KToggleAction* m_statusbar_action;
	
	KAction* m_add_files;
	KAction* m_add_dir;
	KAction* m_man_db;
	
	KAction* m_play;
	KAction* m_pause;
	KAction* m_stop;
	KAction* m_next;
	KAction* m_prev;
	KToggleAction* m_random_play;
	KToggleAction* m_repeat_playlist;
	
public:
	ActionCollection(QObject *parent = 0, const char *name = 0);
	virtual ~ActionCollection();
	
	void createActions(KMusicManager* mm,MainWindow* wnd);
	void buildSysTrayMenu(KPopupMenu* menu);
	
	KToggleAction* getToolBarAction() {return m_toolbar_action;}
	KToggleAction* getStatusBarAction() {return m_statusbar_action;}
	KToggleAction* getRandomPlay() {return m_random_play;}
	KToggleAction* getRepeatPlayList() {return m_repeat_playlist;}
	
	KAction* getPlay() {return m_play;}
	KAction* getPause() {return m_pause;}
	KAction* getStop() {return m_stop;}
	KAction* getNext() {return m_next;}
	KAction* getPrev() {return m_prev;}
};

#endif
