/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include "globals.h"

void MMSettings::setViewConf(const MusicListViewConf & vc )
{
	vconf = vc;
	for (unsigned int i = 0;i < vconf.getNumCols();i++)
	{
		shown_cols->insertItem(vconf.getColumnName(i));
	}
	
	for (unsigned int i = 0;i < vconf.getNumHiddenCols();i++)
	{
		hidden_cols->insertItem(vconf.getHiddenColumnName(i));
	}
}


void MMSettings::onAdd()
{
	KListBox* lb = hidden_cols;
	if (lb->selectedItem())
	{
		QString item = lb->selectedItem()->text();
		vconf.show(item);
		lb->removeItem(lb->index(lb->selectedItem()));
		shown_cols->insertItem(item);
	}
}


void MMSettings::onRemove()
{
	KListBox* lb = shown_cols;
	if (lb->selectedItem())
	{
		QString item = lb->selectedItem()->text();
		vconf.hide(item);
		lb->removeItem(lb->index(lb->selectedItem()));
		hidden_cols->insertItem(item);
	}
}


void MMSettings::onMoveUp()
{
	KListBox* lb = shown_cols;
	if (lb->selectedItem())
	{
		QString item = lb->selectedItem()->text();
		int index = lb->index(lb->selectedItem());
		vconf.moveUp(item);
		shown_cols->clear();
		
		for (unsigned int i = 0;i < vconf.getNumCols();i++)
		{
			shown_cols->insertItem(vconf.getColumnName(i));
		}
		if (index > 0)
			lb->setSelected(index-1,true);
		else
			lb->setSelected(index,true);
	}
}


void MMSettings::onMoveDown()
{
	KListBox* lb = shown_cols;
	if (lb->selectedItem())
	{
		QString item = lb->selectedItem()->text();
		unsigned int index = lb->index(lb->selectedItem());
		vconf.moveDown(item);
		shown_cols->clear();
		
		for (unsigned int i = 0;i < vconf.getNumCols();i++)
		{
			shown_cols->insertItem(vconf.getColumnName(i));
		}
		if (index < vconf.getNumCols() - 1)
			lb->setSelected(index+1,true);
		else
			lb->setSelected(index,true);
	}
}
