/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef MUSICDBIMPORTER_H
#define MUSICDBIMPORTER_H

#include <qstring.h>

class MusicDatabase;


/**
@author Joris Guisson
@brief Imports the MusicDatabase from a file.
*/
class MusicDBImporter
{
	MusicDatabase* m_db;
	
public:
	/**
		Constructor.
		@param db The MusicDatabase
	*/
	MusicDBImporter(MusicDatabase* db);
	
	virtual ~MusicDBImporter();

	/**
		Import the MusicDatabase from a file.
		@param filename The file to import from
	*/
	void importDB(const QString & filename);
};

#endif
