/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef GSTPLAYTHREAD_H
#define GSTPLAYTHREAD_H


#include <config.h>


#ifdef HAVE_GSTREAMER

#include <gst/gst.h>
#include <qthread.h>

/**
@author Joris Guisson
*/
class GstPlayThread : public QThread
{
	GstElement* m_pipeline;
	GstElement* m_volume;
	GstElement* m_audiosink;
	GstElement* m_filesrc;
	GstElement* m_decoder;
	GstElement* m_queue;
	bool m_playing,m_paused;
	float m_volume_val;
	QString m_file_type;
	
	void buildPipeline();
	void reconfigurePipeline();
public:
	GstPlayThread();
	virtual ~GstPlayThread();
	
	bool isPlaying() const {return m_playing;}
	bool isPaused() const {return m_paused;}
	bool isIdle() const {return !m_playing;}
	
	void play(const char* name);
	void pause();
	void resume();
	void stop();
	void seek(int secs);
	void run();
	
	int currentTime() const;
	
	float setVolume(float vol);
	
	friend void eos(GstElement *element, gpointer data);
};

#endif

#endif
