/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#include "playhistory.h"
#include "musicdb/song.h"

PlayHistory::PlayHistory()
{}


PlayHistory::~PlayHistory()
{}


void PlayHistory::push(Song* s)
{
	history.push_back(s);
	connect(s,SIGNAL(destroyed(QObject* )),this,SLOT(onDeleted(QObject* )));
	songAdded(s);
}

Song* PlayHistory::top()
{
	if (history.empty())
		return 0;
	else
		return history.back();
}
	
Song* PlayHistory::pop()
{
	if (history.empty())
		return 0;
	
	Song* last = history.back();
	history.pop_back();
	songRemoved(last);
	disconnect(last,SIGNAL(destroyed(QObject* )),this,SLOT(onDeleted(QObject* )));
	
	if (history.empty())
		return 0;
	
	last = history.back();
	history.pop_back();
	songRemoved(last);
	disconnect(last,SIGNAL(destroyed(QObject* )),this,SLOT(onDeleted(QObject* )));
	return last;
}

void PlayHistory::onDeleted(QObject* o)
{
	history.remove((Song*)o);
	songDeleted((Song*)o);
}

#include "playhistory.moc"
