/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef PLAYHISTORY_H
#define PLAYHISTORY_H

#include <list>
#include <qobject.h>

class Song;
/**
@author Joris Guisson
*/
class PlayHistory : public QObject
{
	Q_OBJECT
	
	std::list<Song*> history;
public:
	PlayHistory();
	virtual ~PlayHistory();
	
	void push(Song* s);
	Song* top();
	Song* pop();
	
	bool empty() const {return history.empty();}
	
public slots:
	void onDeleted(QObject* o);
	
signals:
	void songAdded(Song* s);
	void songRemoved(Song* s);
	void songDeleted(Song* s);
};

#endif
