/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#include "timer.h"
#include <sys/time.h>

// int gettimeofday(struct timeval *tv, struct timezone *tz);

Timer::Timer(QObject *parent, const char *name)
		: QObject(parent, name)
{
	connect(&timer,SIGNAL(timeout()),this,SLOT(update()));
	
	struct timeval tv;
	gettimeofday(&tv,0);
	start_time = tv.tv_sec;
}


Timer::~Timer()
{}

void Timer::start()
{
	struct timeval tv;
	gettimeofday(&tv,0);
	start_time = tv.tv_sec;
	elapsed = 0;
	timer.start(500);
	pause_time = 0;
	lp = 0;
}

void Timer::stop()
{
	timer.stop();
}

void Timer::pause()
{
	struct timeval tv;
	gettimeofday(&tv,0);
	int curr_time = tv.tv_sec;
	elapsed = curr_time - start_time;
	timer.stop();
	lp = curr_time;
}

void Timer::resume()
{
	struct timeval tv;
	gettimeofday(&tv,0);
	int curr_time = tv.tv_sec;
	lp = curr_time - lp;
	timer.start(500);
	pause_time += lp;
}

void Timer::update()
{
	struct timeval tv;
	gettimeofday(&tv,0);
	int curr_time = tv.tv_sec;
	elapsed = curr_time - start_time;
	elapsed -= pause_time;
}

#include "timer.moc"
