/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ALBUM_H
#define ALBUM_H

#include "tools/playlisted/playlist.h"

/**
@author Joris Guisson
*/
class Album : public PlayList
{
	Q_OBJECT
			
	QString m_artist;
public:
	Album(const QString & name,const QString & artist,MusicDatabase* mdb);
	virtual ~Album();
	
	QString getArtist() const {return m_artist;}
	QString getKey() const {return getName() + ":" + m_artist;}
	
	int getTotalLength() const;
	bool contains(Song* s);
	
	virtual void appendSong(Song* s);
	virtual void prependSong(Song* s);
	virtual void removeSong(Song* s);
private slots:
	void songModified(Song* s);
signals:
	void emptyAlbum(Album* a);
};

#endif
