/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ALBUMDB_H
#define ALBUMDB_H

#include <map>
#include <vector>
#include <qobject.h>
#include "album.h"

class MusicDatabase;

typedef std::map<QString,Album*>::iterator AlbumItr;

/**
@author Joris Guisson
*/
class AlbumDB : public QObject
{
	Q_OBJECT
	
	MusicDatabase* m_db;
	std::map<QString,Album*> m_albums;
	std::vector<Album*> m_empty;
public:
	AlbumDB(MusicDatabase* db,QObject *parent = 0, const char *name = 0);
	virtual ~AlbumDB();

	Album* getAlbum(const QString & key);
	
	void scan();
	
private:
	void newAlbum(Song* s);
	
private slots:
	void albumEmpty(Album* album);
	void songWasModified(Song* song);
	void songAdded(Song* song);
signals:
	void albumAdded(Album* album);
	void albumRemoved(Album* album);
};

#endif
