/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ALBUMTOOL_H
#define ALBUMTOOL_H

#include "tools/tool.h"

class AlbumDB;
class AlbumToolView;

/**
@author Joris Guisson
*/
class AlbumTool : public Tool
{
	AlbumToolView* m_view;
	AlbumDB* m_db;
public:
	AlbumTool(KMusicManager* mm, const char* name = 0);
	virtual ~AlbumTool();

	virtual void load();
	virtual void loadSettings(KConfig* cfg);
	virtual void onChildViewAdded(ChildView* cv);
	virtual void saveSettings(KConfig* cfg);
	virtual void unload();

};

#endif
