/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "renamefileitem.h"
#include "musicdb/song.h"

QString NewName(Song* s,const QString & rename_scheme)
{
	QString nn = rename_scheme;
	nn.replace("$A",s->getArtist());
	nn.replace("$T",s->getTitle());
	nn.replace("$a",s->getAlbum());
	nn.replace("$t",QString("%1").arg(s->getAlbumNr()));
	nn.replace("$G",s->getGenre());
	nn.replace("$C",s->getComment());
	if (!nn.startsWith("/"))
		return s->getDirectory() + nn + s->getFileExtension();
	else
		return nn + s->getFileExtension();
}

RenameFileItem::RenameFileItem(Song* s,KListView *parent, const char *name)
	: QObject(parent, name),KListViewItem(parent),m_song(s)
{
	setText(0,s->getFilename());
}


RenameFileItem::~RenameFileItem()
{}

void RenameFileItem::renameStringChanged(const QString & str)
{
	setText(1,NewName(m_song,str));
}

#include "renamefileitem.moc"
