/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <klocale.h>
#include "playlist.h"
#include "playlistselectionbox.h"

PlayListSelectionBox::PlayListSelectionBox(QWidget *parent, const char *name)
		: KComboBox(parent, name)
{
	insertItem(i18n("Music Collection"));
	
	connect(this,SIGNAL(activated(const QString& )),this,SLOT(onSelected(const QString& )));
}


PlayListSelectionBox::~PlayListSelectionBox()
{}

void PlayListSelectionBox::addPlayList(PlayList* pl)
{
	QString name = pl->getName();
	for (int i = 0;i < count();i++)
	{
		if (text(i) == name)
			return;
	}
	insertItem(name);
}

void PlayListSelectionBox::removePlayList(PlayList* pl)
{
	QString name = pl->getName();
	for (int i = 0;i < count();i++)
	{
		if (text(i) == name)
		{
			bool foo = (currentItem() == i);
			removeItem(i);
			if (foo)
				onSelected(currentText());
		}
	}
}

void PlayListSelectionBox::onSelected(const QString & str)
{
	if (str == i18n("Music Collection"))
		collectionSelected();
	else
		playListSelected(str);
}

void PlayListSelectionBox::setCurrent(const QString & name)
{
	if (name == QString::null)
		setCurrentItem(i18n("Music Collection"),false);
	else
		setCurrentItem(name,false);
}

#include "playlistselectionbox.moc"
