/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/

#include <qdatetime.h>
#include "songitem.h"
#include "musicdb/song.h"

SongItem::SongItem(KListView* hview,Song* song,int idx,bool asc)
	: KListViewItem(hview),song(song),idx(idx),asc(asc)
{
	connect(song,SIGNAL(modified()),this,SLOT(update()));
	update();
	
}

SongItem::~SongItem()
{
}
	
void SongItem::update()
{
	QTime t;
	t = t.addSecs(song->getLength());
	
	setText(0,song->getTitle());
	setText(1,song->getArtist());
	setText(2,t.toString("mm:ss"));
}

int SongItem::compare(QListViewItem * i,int ,bool ) const
{
	SongItem* hi = (SongItem*)i;
	if (asc)
		return hi->idx - idx;
	else
		return idx - hi->idx;
}

#include "songitem.moc"
