/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@student.luc.ac.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef TOOL_H
#define TOOL_H

#include <qobject.h>

class KMusicManager;
class ChildView;
class KConfig;

/**
@author Joris Guisson
*/
class Tool : public QObject
{
	Q_OBJECT
	
	QString m_tool_name;
	KMusicManager* m_musicman;
public:
	Tool(const QString & m_tool_name,KMusicManager* mm, const char *name = 0);
	virtual ~Tool();
	
	QString getToolName() const {return m_tool_name;}
	
	virtual void load() = 0;
	virtual void unload() = 0;
	virtual void onChildViewAdded(ChildView* cv);
	virtual void saveSettings(KConfig* cfg);
	virtual void loadSettings(KConfig* cfg);
	
protected:
	KMusicManager* getMusicMan() {return m_musicman;}
};

#endif
