/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <klocale.h>
#include "musiclistviewmenu.h"
#include "musiclistview.h"
#include "musiclistviewitem.h"

MusicListViewMenu::MusicListViewMenu(MusicListView *parent, const char *name)
		: QPopupMenu(parent, name),view(parent),curr_item(0),curr_col(-1),edit_id(-1)
{
	insertItem(i18n("Refresh"),view,SLOT(refreshSelection()));
	insertItem(i18n("Add to Play Queue"),view,SLOT(addSelectionToPlayQueue()));
	insertSeparator();
	insertItem(i18n("Create Playlist from Selection"),view,SLOT(createPlayListFromSelection()));
	insertSeparator();
	insertItem(i18n("Rename"),view,SLOT(renameSelection()));
	insertItem(i18n("Delete from disk"),view,SLOT(deleteSelection()));
	//edit_id = insertItem(i18n("Edit"),this,SLOT(editItem()));
}


MusicListViewMenu::~MusicListViewMenu()
{
}

void MusicListViewMenu::setCurrent(QListViewItem* item,int col)
{
	curr_item = item;
	curr_col = col;
	
	if (col != -1)
	{
		int id = view->getViewConfig().getColumnID(col);
		setItemEnabled(edit_id,id != VM_LENGTH && id != VM_FILENAME);
	}
	else
	{
		setItemEnabled(edit_id,false);
	}
}

void MusicListViewMenu::editItem()
{
//	view->rename(curr_item,curr_col);
}

#include "musiclistviewmenu.moc"
