/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <qlineedit.h>
#include <qlayout.h>
#include <qlabel.h>
#include "searchbar.h"

SearchBar::SearchBar(QWidget *parent, const char *name)
		: QWidget(parent, name)
{
	QHBoxLayout *top_layout = new QHBoxLayout(this);
	top_layout->setAutoAdd(true);
	
	new QLabel("Search :",this);
	line = new QLineEdit(this);
	connect(
		line,SIGNAL(textChanged(const QString& )),
		this,SLOT(textHasChanged(const QString& )));
}


SearchBar::~SearchBar()
{}

void SearchBar::textHasChanged(const QString & text)
{
	searchTextChanged(text);
}

#include "searchbar.moc"
